Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Trace

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--java.io.PrintWriter
                  |
                  +--org.hsqldb.Trace

class Trace
extends java.io.PrintWriter

Class declaration

Field Summary
`(package private) static int` | `ACCESS_IS_DENIED`
`static boolean` | `ASSERT`
`(package private) static int` | `ASSERT_FAILED`
`(package private) static int` | `COLUMN_ALREADY_EXISTS`
`(package private) static int` | `COLUMN_COUNT_DOES_NOT_MATCH`
`(package private) static int` | `COLUMN_NOT_FOUND`
`(package private) static int` | `CONNECTION_IS_BROKEN`
`(package private) static int` | `CONNECTION_IS_CLOSED`
`(package private) static int` | `DATABASE_ALREADY_IN_USE`
`(package private) static int` | `DATABASE_IS_READONLY`
`(package private) static int` | `DATABASE_IS_SHUTDOWN`
`(package private) static int` | `DIVISION_BY_ZERO`
`(package private) static int` | `DROP_PRIMARY_KEY`
`(package private) static int` | `ERROR_IN_FUNCTION`
`(package private) static int` | `EXTERNAL_STOP`
`(package private) static int` | `FILE_IO_ERROR`
`(package private) static int` | `FUNCTION_NOT_SUPPORTED`
`(package private) static int` | `GENERAL_ERROR`
`(package private) static int` | `INDEX_ALREADY_EXISTS`
`(package private) static int` | `INDEX_NOT_FOUND`
`(package private) static int` | `INPUTSTREAM_ERROR`
`(package private) static int` | `INTEGRITY_CONSTRAINT_VIOLATION`
`(package private) static int` | `INVALID_ESCAPE`
`(package private) static int` | `NEED_AGGREGATE`
`(package private) static int` | `NO_DATA_IS_AVAILABLE`
`(package private) static int` | `SECOND_PRIMARY_KEY`
`(package private) static int` | `SERIALIZATION_FAILURE`
`(package private) static int` | `SINGLE_VALUE_EXPECTED`
`static boolean` | `STOP`
`(package private) static int` | `SUM_OF_NON_NUMERIC`
`(package private) static int` | `TABLE_ALREADY_EXISTS`
`(package private) static int` | `TABLE_NOT_FOUND`
`static boolean` | `TRACE`
`(package private) static int` | `TRANSFER_CORRUPTED`
`(package private) static int` | `TRIGGER_NOT_FOUND`
`(package private) static int` | `TRY_TO_INSERT_NULL`
`(package private) static int` | `UNEXPECTED_END_OF_COMMAND`
`(package private) static int` | `UNEXPECTED_TOKEN`
`(package private) static int` | `UNKNOWN_FUNCTION`
`(package private) static int` | `USER_ALREADY_EXISTS`
`(package private) static int` | `USER_NOT_FOUND`
`(package private) static int` | `VIOLATION_OF_UNIQUE_INDEX`
`(package private) static int` | `WRONG_DATA_TYPE`
`(package private) static int` | `WRONG_DATABASE_FILE_VERSION`
`(package private) static int` | `WRONG_OUT_PARAMETER`

Fields inherited from class java.io.PrintWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`(package private)` | `Trace()` Constructor declaration

Method Summary
`(package private) static void` | `assert(boolean condition)` Method declaration
`(package private) static void` | `assert(boolean condition, java.lang.String error)` Method declaration
`(package private) static void` | `check(boolean condition, int code)` Method declaration
`(package private) static void` | `check(boolean condition, int code, java.lang.String s)` Method declaration
`(package private) static java.sql.SQLException` | `error(int code)` Method declaration
`(package private) static java.sql.SQLException` | `error(int code, int i)` Method declaration
`(package private) static java.sql.SQLException` | `error(int code, java.lang.String s)` Method declaration
`(package private) static java.sql.SQLException` | `getError(int code, java.lang.String add)` Method declaration
`(package private) static java.sql.SQLException` | `getError(java.lang.String msg)` Method declaration
`(package private) static java.lang.String` | `getMessage(int code)` Method declaration
`(package private) static java.lang.String` | `getMessage(java.sql.SQLException e)` Method declaration
`void` | `println(char[] c)` Method declaration
`(package private) static void` | `stop()` Method declaration
`(package private) static void` | `stop(java.lang.String s)` Method declaration
`(package private) static void` | `trace()` Method declaration
`(package private) static void` | `trace(int i)` Method declaration
`(package private) static void` | `trace(long l)` Method declaration
`(package private) static void` | `trace(java.lang.String s)` Method declaration

Methods inherited from class java.io.PrintWriter
`checkError, close, flush, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, setError, write, write, write, write, write`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRACE

    public static final boolean TRACE

### STOP

    public static final boolean STOP

### ASSERT

    public static final boolean ASSERT

### DATABASE_ALREADY_IN_USE

    static final int DATABASE_ALREADY_IN_USE

### CONNECTION_IS_CLOSED

    static final int CONNECTION_IS_CLOSED

### CONNECTION_IS_BROKEN

    static final int CONNECTION_IS_BROKEN

### DATABASE_IS_SHUTDOWN

    static final int DATABASE_IS_SHUTDOWN

### COLUMN_COUNT_DOES_NOT_MATCH

    static final int COLUMN_COUNT_DOES_NOT_MATCH

### DIVISION_BY_ZERO

    static final int DIVISION_BY_ZERO

### INVALID_ESCAPE

    static final int INVALID_ESCAPE

### INTEGRITY_CONSTRAINT_VIOLATION

    static final int INTEGRITY_CONSTRAINT_VIOLATION

### VIOLATION_OF_UNIQUE_INDEX

    static final int VIOLATION_OF_UNIQUE_INDEX

### TRY_TO_INSERT_NULL

    static final int TRY_TO_INSERT_NULL

### UNEXPECTED_TOKEN

    static final int UNEXPECTED_TOKEN

### UNEXPECTED_END_OF_COMMAND

    static final int UNEXPECTED_END_OF_COMMAND

### UNKNOWN_FUNCTION

    static final int UNKNOWN_FUNCTION

### NEED_AGGREGATE

    static final int NEED_AGGREGATE

### SUM_OF_NON_NUMERIC

    static final int SUM_OF_NON_NUMERIC

### WRONG_DATA_TYPE

    static final int WRONG_DATA_TYPE

### SINGLE_VALUE_EXPECTED

    static final int SINGLE_VALUE_EXPECTED

### SERIALIZATION_FAILURE

    static final int SERIALIZATION_FAILURE

### TRANSFER_CORRUPTED

    static final int TRANSFER_CORRUPTED

### FUNCTION_NOT_SUPPORTED

    static final int FUNCTION_NOT_SUPPORTED

### TABLE_ALREADY_EXISTS

    static final int TABLE_ALREADY_EXISTS

### TABLE_NOT_FOUND

    static final int TABLE_NOT_FOUND

### INDEX_ALREADY_EXISTS

    static final int INDEX_ALREADY_EXISTS

### SECOND_PRIMARY_KEY

    static final int SECOND_PRIMARY_KEY

### DROP_PRIMARY_KEY

    static final int DROP_PRIMARY_KEY

### INDEX_NOT_FOUND

    static final int INDEX_NOT_FOUND

### COLUMN_ALREADY_EXISTS

    static final int COLUMN_ALREADY_EXISTS

### COLUMN_NOT_FOUND

    static final int COLUMN_NOT_FOUND

### FILE_IO_ERROR

    static final int FILE_IO_ERROR

### WRONG_DATABASE_FILE_VERSION

    static final int WRONG_DATABASE_FILE_VERSION

### DATABASE_IS_READONLY

    static final int DATABASE_IS_READONLY

### ACCESS_IS_DENIED

    static final int ACCESS_IS_DENIED

### INPUTSTREAM_ERROR

    static final int INPUTSTREAM_ERROR

### NO_DATA_IS_AVAILABLE

    static final int NO_DATA_IS_AVAILABLE

### USER_ALREADY_EXISTS

    static final int USER_ALREADY_EXISTS

### USER_NOT_FOUND

    static final int USER_NOT_FOUND

### ASSERT_FAILED

    static final int ASSERT_FAILED

### EXTERNAL_STOP

    static final int EXTERNAL_STOP

### GENERAL_ERROR

    static final int GENERAL_ERROR

### WRONG_OUT_PARAMETER

    static final int WRONG_OUT_PARAMETER

### ERROR_IN_FUNCTION

    static final int ERROR_IN_FUNCTION

### TRIGGER_NOT_FOUND

    static final int TRIGGER_NOT_FOUND

Constructor Detail

### Trace

    Trace()

  Constructor declaration

Method Detail

### getError

    static java.sql.SQLException getError(int code,
                                          java.lang.String add)

  Method declaration
  Parameters:
    `code` -
    `add` -
  Returns:

### getMessage

    static java.lang.String getMessage(int code)

  Method declaration
  Parameters:
    `code` -
  Returns:

### getMessage

    static java.lang.String getMessage(java.sql.SQLException e)

  Method declaration
  Parameters:
    `e` -
  Returns:

### getError

    static java.sql.SQLException getError(java.lang.String msg)

  Method declaration
  Parameters:
    `msg` -
  Returns:

### error

    static java.sql.SQLException error(int code)

  Method declaration
  Parameters:
    `code` -
  Returns:

### error

    static java.sql.SQLException error(int code,
                                       java.lang.String s)

  Method declaration
  Parameters:
    `code` -
    `s` -
  Returns:

### error

    static java.sql.SQLException error(int code,
                                       int i)

  Method declaration
  Parameters:
    `code` -
    `i` -
  Returns:

### assert

    static void assert(boolean condition)
                throws java.sql.SQLException

  Method declaration
  Parameters:
    `condition` -
  Throws:
    java.sql.SQLException -

### assert

    static void assert(boolean condition,
                       java.lang.String error)
                throws java.sql.SQLException

  Method declaration
  Parameters:
    `condition` -
    `error` -
  Throws:
    java.sql.SQLException -

### check

    static void check(boolean condition,
                      int code)
               throws java.sql.SQLException

  Method declaration
  Parameters:
    `condition` -
    `code` -
  Throws:
    java.sql.SQLException -

### check

    static void check(boolean condition,
                      int code,
                      java.lang.String s)
               throws java.sql.SQLException

  Method declaration
  Parameters:
    `condition` -
    `code` -
    `s` -
  Throws:
    java.sql.SQLException -

### println

    public void println(char[] c)

  Method declaration
  Overrides:
    println in class java.io.PrintWriter
  Parameters:
    `c` -

### trace

    static void trace(long l)

  Method declaration
  Parameters:
    `l` -

### trace

    static void trace(int i)

  Method declaration
  Parameters:
    `i` -

### trace

    static void trace()

  Method declaration

### trace

    static void trace(java.lang.String s)

  Method declaration
  Parameters:
    `s` -

### stop

    static void stop()
              throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### stop

    static void stop(java.lang.String s)
              throws java.sql.SQLException

  Method declaration
  Parameters:
    `s` -
  Throws:
    java.sql.SQLException -

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD